Subject: Re: [Ice] draft-ietf-ice-rfc5245bis-00: Impacts due to ICE solution for indicating exclusive support of RTP/RTCP-mux.

From: Christer Holmberg <[email-masked]>
Date: Mon, 7 Dec 2015 13:52:20 +0000

Hi,

In order to clarify that the absence of an RTCP component does NOT by default mean that RTCP is not used, I suggest some additional text to the new text.

Regards,

Christer

Section 4.1.1.1:
--------------------

OLD TEXT:

   Each component has an ID assigned to it, called the component ID.

   For RTP-based media streams, the RTP itself has a component ID of 1,

   and RTCP a component ID of 2.  If an agent is using RTCP, it MUST

   obtain a candidate for it.  If an agent is using both RTP and RTCP,

   it would end up with 2*K host candidates if an agent has K IP

   addresses.

NEW TEXT (based on e-mail discussion):

Each component has an ID assigned to it, called the component ID.

For RTP-based media streams, unless RTP and RTCP are multiplexed on

the same port (RTP/RTCP multiplexing), the RTP has a component ID of 1

and RTCP a component ID of 2. In case of RTP/RTCP multiplexing, a

component ID of 1 is used for both RTP and RTCP.

When candidates are obtained, unless the agent knows for sure that

RTP/RTCP multiplexing will be used (i.e. the agent knows that the

other agent also supports, and is willing to use, RTP/RTCP multiplexing),

or unless the agent only supports RTP/RTCP multiplexing,

the agent MUST obtain a separate candidate for RTCP. If an agent has

obtained a candidate for RTCP, and end up using RTP/RTCP multiplexing,

the agent does not need to perform connectivity checks on the RTCP candidate.

If an agent is using separate candidates for RTP and RTCP, it will end up

with 2*K host candidates if the agent has K IP addresses.

NOTE: The responding agent, when obtaining its candidates, will typically know

whether the other agent supports RTP/RTCP multiplexing, in which case it will

not need to obtain a separate candidate for RTCP.

<new>NOTE: There needs to be a signalling mechanism to indicate whether

the absence of a component ID of 2 means that RTCP is not used, or that

RTP/RTCP multiplexing is used. Such mechanism is outside the scope of

this document.</new>

Section 4.2:
---------------

OLD TEXT:

Each component has an ID assigned to it, called the component ID.

      For RTP-based media streams, the RTP itself has a component ID of 1,

      and RTCP a component ID of 2.  If an agent is using RTCP, it MUST

      obtain candidates for it.

NEW TEXT:

Each component has an ID assigned to it, called the component ID.

      For RTP-based media streams, the RTP itself has a component ID of 1,

      and RTCP a component ID of 2.  If an agent is using RTCP, it MUST

      obtain candidates for it<new>, unless the agent only supports multiplexing

      of RTP and RTCP on the same port</new>.

<new>NOTE: There needs to be a signalling mechanism to indicate whether

the absence of a component ID of 2 means that RTCP is not used, or that

RTP/RTCP multiplexing is used. Such mechanism is outside the scope of

this document.</new>